classification
Title: Wrong doc strings in itertools
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: ezio.melotti, hagen, rhettinger
Priority: normal Keywords: patch

Created on 2009-08-20 07:32 by hagen, last changed 2009-11-19 01:26 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
docstring.patch hagen, 2009-08-20 07:32
Messages (2)
msg91761 - (view) Author: Hagen F├╝rstenau (hagen) Date: 2009-08-20 07:32
The doc strings of itertools.combinations and
itertools.combinations_with_replacement are wrong: The parameter "r" is
not optional here (like it is for itertools.permutations).

Attached trivial patch.
msg95461 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-11-19 01:26
Fixed.  See r76391 to r76394.
Thanks for the report.
History
Date User Action Args
2009-11-19 01:26:54rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg95461
2009-08-25 11:37:20benjamin.petersonsetassignee: rhettinger

nosy: + rhettinger
2009-08-25 11:24:14ezio.melottisetnosy: + ezio.melotti
2009-08-20 07:32:10hagencreate